﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


namespace SkillsMatter.PostSharp
{
	public static class ActivityRecorder
	{
		static Queue<string> _activity = new Queue<string>();

		public static void Record(string activity)
		{
			_activity.Enqueue(activity);
		}

		public static void AssertActivityOccured(string activity)
		{
			string recorded = _activity.Dequeue();
			if (recorded != activity)
				throw new Exception("Expected activity{" + activity + "},  Found activity{" + recorded + "}");
		}

		public static void AssertNoMoreActivities()
		{
			if (_activity.Count() > 0)
				throw new Exception("No activities were expected");
		}

		public static void Reset()
		{
			_activity.Clear();
		}
	}
}
