﻿using System;
using PostSharp.Laos;

namespace SkillsMatter.PostSharp.Aspects
{
	[Serializable]
	public class ExampleOnMethodBoundaryAspect : OnMethodBoundaryAspect
	{
		public override void OnEntry(MethodExecutionEventArgs eventArgs)
		{
			ActivityRecorder.Record(string.Format("Before {0}", eventArgs.Method));
		}

		public override void OnExit(MethodExecutionEventArgs eventArgs)
		{
			ActivityRecorder.Record(string.Format("After {0}", eventArgs.Method));
		}

		public override void OnException(MethodExecutionEventArgs eventArgs)
		{
			ActivityRecorder.Record(string.Format("After {0}", eventArgs.Method));
		}
	}
}
