﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PostSharp.Laos;


namespace SkillsMatter.PostSharp.Aspects
{
	[Serializable]
	public class ExampleOnMethodInvocationAspect : OnMethodInvocationAspect
	{
		public override void OnInvocation(MethodInvocationEventArgs context)
		{
			ActivityRecorder.Record(string.Format("Calling {0}", context.Delegate.Method.ToString().Replace("~", "")));
			context.Proceed();
		}
	}
}
