﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SkillsMatter.PostSharp.Aspects;

namespace SkillsMatter.PostSharp.Validation
{
	public enum Gender {Male, Female};

	public class FoodQuestionaire
	{
		public Gender Gender { get; set; }
		
		[RegularExpressionValidator("^([A-PR-UWYZ0-9][A-HK-Y0-9][AEHMNPRTVXY0-9]?[ABEHMNPRVWXY0-9]? {1,2}[0-9][ABD-HJLN-UW-Z]{2}|GIR 0AA)$")]
		public string Postcode { get; set; }

		[RangeValidator(0, 5)]
		public int? LikesDiary { get; set; }
		[RangeValidator(0, 5)]
		public int? LikesBeef { get; set; }
		[RangeValidator(0, 5)]
		public int? LikesFish { get; set; }
	}
}

